<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Web Management</title>
<link rel="stylesheet" type="text/css" href="../style/common.css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="js/card_common.js"></script>
<script type="text/javascript" src="js/card_config.js"></script>
<script type="text/javascript">
var language = CHINESE;
</script>
<style type="text/css">
.special
{
	text-align: left;
}
</style>
</head>
<body>
<div class="tab">
  <ul>
    <li class="first_selected" onclick="pageJump(CARD_CONFIG);">常规</li>
    <li class="selected_follow" onclick="pageJump(CARD_IN_BACKUP);" id="inBackup" style="display: none">输入备份</li>
    <li class="middle_no_selected" onclick="pageJump(CARD_OUT_BACKUP);" id="outBackup" style="display: none">输出备份</li>
    <li class="middle_no_selected" onclick="pageJump(CARD_PCR);" id='pcrRemakeLi' style="display:none;">重生PCR</li>
    <li class="middle_no_selected" onclick="pageJump(CARD_VERSION_CHECK);" id="verisonSelectLi">版本选择</li>
    <li class="middle_no_selected" onclick="pageJump(CARD_MONITOR);" id="monitor">监测</li>
    <li class="last_no_selected"></li>
  </ul>
</div>
<div id="mainContent" class="mainframe">
  <div class="content_div_small" id="contentDiv">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">常规</div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div class="div_table_button_area">
        <input type="button" id="applyBtn" value="应 用" class="input_normal" onclick ="pageApply();" />
        <input type="button" id="refreshBtn" value="刷 新" class="input_normal" onclick="PageRefresh(TOP);" />
      </div>
    </div>
    <table>
      <tr>
        <th style="width: 140px;">参数</th>
        <th class="net1">网口1</th>
        <th class="net2">网口2</th>
        <th class="net3">网口3</th>
        <th class="net4">网口4</th>
      </tr>
      <tr>
        <th>网口名称</th>
        <td class="net1">
          <input type="text" id="netName1" />
        </td>
        <td class="net2">
          <input type="text" id="netName2" />
        </td>
        <td class="net3">
          <input type="text" id="netName3" />
        </td>
        <td class="net4">
          <input type="text" id="netName4" />
        </td>
      </tr>
      <tr>
        <th>IP地址</th>
        <td class="net1">
          <input type="text" id="ipAddress1" />
        </td>
        <td class="net2">
          <input type="text" id="ipAddress2" />
        </td>
        <td class="net3">
          <input type="text" id="ipAddress3" />
        </td>
        <td class="net4">
          <input type="text" id="ipAddress4" />
        </td>
      </tr>
      <tr>
        <th>子网掩码</th>
        <td class="net1">
          <input type="text" id="subnetMask1" />
        </td>
        <td class="net2">
          <input type="text" id="subnetMask2" />
        </td>
        <td class="net3">
          <input type="text" id="subnetMask3" />
        </td>
        <td class="net4">
          <input type="text" id="subnetMask4" />
        </td>
      </tr>
      <tr>
        <th>网关</th>
        <td class="net1">
          <input type="text" id="gateWay1" />
        </td>
        <td class="net2">
          <input type="text" id="gateWay2" />
        </td>
        <td class="net3">
          <input type="text" id="gateWay3" />
        </td>
        <td class="net4">
          <input type="text" id="gateWay4" />
        </td>
      </tr>
      <tr>
        <th>MAC地址</th>
        <td id="mac1" class="special net1"></td>
        <td id="mac2" class="special net2"></td>
        <td id="mac3" class="special net3"></td>
        <td id="mac4" class="special net4"></td>
      </tr>
      <tr>
        <th>速度和双工</th>
        <td class="net1">
          <select id="speedDuplex1">
            <option value="0">自适应</option>
            <option value="6" selected="selected">1Gbps自协商</option>
            <option value="7">SGMII 1Gbps全双工</option>
            <option value="1">1Gbps全双工</option>
            <option value="2">100Mbps全双工</option>
            <option value="3">100Mbps半双工</option>
            <option value="4">10Mbps全双工</option>
            <option value="5">10Mbps半双工</option>
          </select>
        </td>
        <td class="net2">
          <select id="speedDuplex2">
            <option value="0">自适应</option>
            <option value="6" selected="selected">1Gbps自协商</option>
            <option value="7">SGMII 1Gbps全双工</option>
            <option value="1">1Gbps全双工</option>
            <option value="2">100Mbps全双工</option>
            <option value="3">100Mbps半双工</option>
            <option value="4">10Mbps全双工</option>
            <option value="5">10Mbps半双工</option>
          </select>
        </td>
        <td class="net3">
          <select id="speedDuplex3">
            <option value="0">自适应</option>
            <option value="6" selected="selected">1Gbps自协商</option>
            <option value="7">SGMII 1Gbps全双工</option>
            <option value="1">1Gbps全双工</option>
            <option value="2">100Mbps全双工</option>
            <option value="3">100Mbps半双工</option>
            <option value="4">10Mbps全双工</option>
            <option value="5">10Mbps半双工</option>
          </select>
        </td>
        <td class="net4">
          <select id="speedDuplex4">
            <option value="0">自适应</option>
            <option value="6" selected="selected">1Gbps自协商</option>
            <option value="7">SGMII 1Gbps全双工</option>
            <option value="1">1Gbps全双工</option>
            <option value="2">100Mbps全双工</option>
            <option value="3">100Mbps半双工</option>
            <option value="4">10Mbps全双工</option>
            <option value="5">10Mbps半双工</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>告警</th>
        <td class="net1">
          <select id="alarmSwitch1">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td class="net2">
          <select id="alarmSwitch2">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td class="net3">
          <select id="alarmSwitch3">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td class="net4">
          <select id="alarmSwitch4">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>IGMP版本</th>
        <td class="net1">
          <select id="igmpVersion1">
            <option value="2" selected="selected">IGMPv2</option>
            <option value="3">IGMPv3</option>
          </select>
        </td>
        <td class="net2">
          <select id="igmpVersion2">
            <option value="2" selected="selected">IGMPv2</option>
            <option value="3">IGMPv3</option>
          </select>
        </td>
        <td class="net3">
          <select id="igmpVersion3">
            <option value="2" selected="selected">IGMPv2</option>
            <option value="3">IGMPv3</option>
          </select>
        </td>
        <td class="net4">
          <select id="igmpVersion4">
            <option value="2" selected="selected">IGMPv2</option>
            <option value="3">IGMPv3</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>IGMP自动报告</th>
        <td class="net1">
          <select id="igmpAutoReport1">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td class="net2">
          <select id="igmpAutoReport2">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td class="net3">
          <select id="igmpAutoReport3">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td class="net4">
          <select id="igmpAutoReport4">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>端口发送源IP地址</th>
        <td class="net1">
          <select id="transmitSrcIpSel1">
            <option value="0" selected="selected">本网口IP地址</option>
            <option value="1">端口的源IP地址</option>
          </select>
        </td>
        <td class="net2">
          <select id="transmitSrcIpSel2">
            <option value="0" selected="selected">本网口IP地址</option>
            <option value="1">端口的源IP地址</option>
          </select>
        </td>
        <td class="net3">
          <select id="transmitSrcIpSel3">
            <option value="0" selected="selected">本网口IP地址</option>
            <option value="1">端口的源IP地址</option>
          </select>
        </td>
        <td class="net4">
          <select id="transmitSrcIpSel4">
            <option value="0" selected="selected">本网口IP地址</option>
            <option value="1">端口的源IP地址</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>低有效码率关闭输出模式</th>
        <td class="net1">
          <select id="outSwitchHandleMode1">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td class="net2">
          <select id="outSwitchHandleMode2">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td class="net3">
          <select id="outSwitchHandleMode3">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td class="net4">
          <select id="outSwitchHandleMode4">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
      </tr>
    </table>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
