var objIdArray = ["versionSelect"];
var oldVersion = 0;
window.onresize = function()
{
	GetMainContentHeight(BUTTON_TOP_MENU, NO_BUTTON_CHANGE);
}

$(document).ready(function()
{
	var args = GetArgs();
	slotNo = parseInt(args["slotNo"], 10);
	portNo = parseInt(args["portNo"], 10);
	GetMainContentHeight(BUTTON_TOP_MENU, NO_BUTTON_CHANGE);
	funcUpdateDisplay();
});

function funcUpdateDisplay() 
{
	DisableButton("applyBtn");
	DisableButton("refreshBtn");
	PageLoadStatus(true);
	
	displayParam();
	getMonitorParam();
	
	ResetColor();
	EnableButton("refreshBtn");
	PageLoadStatus(false);
}

function displayParam() 
{
	var data;
	var response;
	var length;
	var xmlHttp = GetHTTPObject();

	xmlHttp.open("GET", "/goform/formEMR30?type=" + CARD_VERSION_CHECK + "&cmd=" + GET + 
		"&language=" + language + "&slotNo=" + slotNo + "&ran=" + Math.random(), true);
	xmlHttp.onreadystatechange = function()
	{
		if((xmlHttp.readyState == 4) && (xmlHttp.status == 200))
		{
			response = AjaxStrDeal(xmlHttp.responseText);
			if(response != "")
			{
				data = response.split(FIRST_DELIMITER);
				oldVersion = data[0];
				if(oldVersion == 0){
					$("#pcrRemakeLi").hide();
				}
				else{
					$("#pcrRemakeLi").show();
				}
				for(var i = 0; i < objIdArray.length; i++)
				{
					$("#" + objIdArray[i]).val(data[i]);
				}
				refreshFlag = true;
			}
		}
	}
	xmlHttp.send(null);
}

function pageApply()
{
	var data;
	var response;
	var xmlHttp = GetHTTPObject();
	
	if($("#versionSelect").val() != oldVersion){
		var confirmPrompt;
		if(language == ENGLISH)
		{
			confirmPrompt = "The equipment needs to be restarted for version switching. The PCR version does not have scrambling function. Do you want to confirm the version switching?";
		}
		else if(language == CHINESE)
		{
			confirmPrompt = "版本切换需要重启设备, PCR重生版本不具备加扰功能，是否确认进行版本切换？";
		}
		if(window.confirm(confirmPrompt))
		{
			data = "type=" + CARD_VERSION_CHECK + "&cmd=" + SET + "&language=" + language + "&slotNo=" + slotNo + "&setString=";
			data += generateData();
			
			xmlHttp.open("POST", "/goform/formEMR30", true)
			xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
			xmlHttp.setRequestHeader("Content-length", data.length);
		
			xmlHttp.onreadystatechange = function()
			{
				if((xmlHttp.readyState == 4) && (xmlHttp.status == 200))
				{
					response = parseInt(AjaxStrDeal(xmlHttp.responseText), 10);
					if(response == RETURN_OK)
					{
						applyFlag = true;
					}
					else
					{
						alert(returnError[language][response]);
					}
					GeneratePrompt(applyFlag, TOP, APPLY, language);  //设置后页面弹出提示
					applyFlag = false;  //设置标识符恢复为false
					funcUpdateDisplay();
				}
			}
			xmlHttp.send(data);
		}
	}
}

function generateData()
{
	var data;
	
	for(var i = 0; i < objIdArray.length; i++)
	{
		if(i == 0)
		{
			data = $("#" + objIdArray[i]).val();
		}
		else
		{
			data += FIRST_DELIMITER + $("#" + objIdArray[i]).val();
		}
	}
	return data;
}
