﻿window.onresize = function()
{
	GetMainContentHeight(BUTTON_TOP_NO_MENU, NO_BUTTON_CHANGE);
}

$(document).ready(function()
{
	GetMainContentHeight(BUTTON_TOP_NO_MENU, NO_BUTTON_CHANGE);
	funcUpdateDisplay();	
});

function funcUpdateDisplay() 
{	 
	DisableButton("applyBtn");
	DisableButton("refreshBtn");
	PageLoadStatus(true);
	
	displayParam();
	
	ResetColor();
	EnableButton("refreshBtn");
	PageLoadStatus(false);
}
var targetStatus = [["UnConnected","Connected, Backup is Normal","Connected, Backup is Abnormal","In Service"],["未连接","连接正常，状态正常","连接正常，状态异常","正在使用"]];
var localStatus = [["Not Service","In Service"],["未使用","正在使用"]];
function displayParam() 
{
	var data;
	var rowData;
	var length;
	var response;
	var xmlHttp = GetHTTPObject();

	xmlHttp.open("GET", "/goform/formEMR30?type=" + DEVICE_BACKUP + "&cmd=" + GET + "&language=" + language 
		+ "&slotNo=" + slotNo + "&ran=" + Math.random(), true);
	xmlHttp.onreadystatechange = function()
	{
		if((xmlHttp.readyState == 4) && (xmlHttp.status == 200))
		{
			response = AjaxStrDeal(xmlHttp.responseText);
			if(response != "")
			{
				data = response.split(FIRST_DELIMITER);
				$("#localDevBacEna").val(data[0]);
				$("#targetIp").html(data[1]);
				$("#targetStatus").html(targetStatus[language][data[2]]);
				$("#localStatus").html(localStatus[language][data[3]]);
				refreshFlag = true;
			}
		}
	}
	xmlHttp.send(null);
}

function pageApply(type)
{
	var sureApplyFlag = false;
	var data;
	var response;
	var xmlHttp = GetHTTPObject();
	
	/*if(paramCheck() == false)
	{
		return;
	}*/
	if(type == 2)
	{
		var confirmPrompt;
		if(language == ENGLISH)
		{
			confirmPrompt = "Are you sure to switch to the target?";
		}
		else if(language == CHINESE)
		{
			confirmPrompt = "确定要切换到目标机？";
		}
		if(window.confirm(confirmPrompt))
		{
			sureApplyFlag = true;
		}
	}
	else
	{
		sureApplyFlag = true;
	}
	if(sureApplyFlag == true)
	{
		data = "type=" + DEVICE_BACKUP + "&cmd=" + SET + "&language=" + language + "&slotNo=" + slotNo + "&setString=";
		data += $("#localDevBacEna").val() + FIRST_DELIMITER + type;
		
		xmlHttp.open("POST", "/goform/formEMR30", true)
		xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		xmlHttp.setRequestHeader("Content-length", data.length);
	
		xmlHttp.onreadystatechange = function()
		{
			if((xmlHttp.readyState == 4) && (xmlHttp.status == 200))
			{
				response = parseInt(AjaxStrDeal(xmlHttp.responseText), 10);
				if(response == RETURN_OK)
				{
					applyFlag = true;
				}
				else
				{
					alert(returnError[language][response]);
				}
				GeneratePrompt(applyFlag, TOP, APPLY, language);  //设置后页面弹出提示
				applyFlag = false;  //设置标识符恢复为false
				changeDeviceMode();
				funcUpdateDisplay();
			}
		}
		xmlHttp.send(data);
	}
}


function paramCheck()
{
	return true;	
}
