<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Web Management</title>
<link rel="stylesheet" type="text/css" href="../style/common.css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="js/system_common.js"></script>
<script type="text/javascript" src="js/stt.js"></script>
<script type="text/javascript">
var language = ENGLISH;
</script>
<style type="text/css">
table input.year_input
{
	width: 36px;
}
table input.date_input
{
	width:40px;
}
table td.interpretation
{
	color: #555;
}</style>
</head>
<body>
<div class="mainframe" id="mainContent">
  <div class="content_div_small">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">STT</div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div class="div_table_button_area">
        <input type="button" id="applyBtn" value="Apply" class="input_normal" onclick="pageApply();" />
        <input type="button" id="refreshBtn" value="Refresh" class="input_normal" onclick="PageRefresh(TOP);" />
      </div>
    </div>
    <table>
      <tr>
        <th width="240px">STT</th>
        <td class="header">
          <select id="sttSendSwitch" class="select_fix_width">
            <option value="0" selected="selected">Off</option>
            <option value="1">On</option>
          </select>
        </td>
        <td></td>
      </tr>
      <tr>
        <th>GPS_UTC_offset(s)</th>
        <td>
          <input type="text" id="gpsUtcOffset" class="input_fix_width" />
        </td>
        <td></td>
      </tr>
      <tr>
        <th>Daylight Savings Time</th>
        <td class="header">
          <select id="dayLightSwitch" class="select_fix_width">
            <option value="0" selected="selected">Off</option>
            <option value="1">On</option>
          </select>
        </td>
        <td></td>
      </tr>
      <tr>
        <th>Daylight Saving Time Start Time</th>
        <td>
          <input type="text" id="startMonth" class="date_input" maxlength="2" />
          /&nbsp;
          <input type="text" id="startDay" class="date_input" maxlength="2" />
          &nbsp;-&nbsp;
          <input type="text" id="startHour" class="date_input" maxlength="2" />
        </td>
        <td class="interpretation">Month/Day Hour</td>
      </tr>
      <tr>
        <th>Daylight Saving Time End Time</th>
        <td>
          <input type="text" id="endMonth" class="date_input" maxlength="2" />
          /&nbsp;
          <input type="text" id="endDay" class="date_input" maxlength="2" />
          &nbsp;-&nbsp;
          <input type="text" id="endHour" class="date_input" maxlength="2" />
        </td>
      <td class="interpretation">Month/Day Hour</td>
      </tr>
    </table>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
